✋ Palmistry API and 🎧 Audio Reports API are now live. Ship them in your app today.

Simple Manglik Dosha

The manglik API checks for the presence and extent of Manglik Dosha in a horoscope, and provides information on its cancellation status and the specific planetary aspects and houses involved. The response includes a report indicating whether the native is Manglik or not.
POSThttps://json.astrologyapi.com/v1/simple_manglik

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/simple_manglik' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "is_present": false,
  "is_cancelled": false,
  "msg": "You do not have any effect of manglik dosha in your horoscope. You are not manglik."
}